Skip to content

Param360View⁠

Perform various operations for Symitar parameters.

Operations⁠

getParam360ViewSelectFields⁠

POST

Execute the persistent ParameterService getParam360ViewSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getParam360ViewSelectFields
POST /nexum/627/persistent/parameter/getParam360ViewSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllParam360ViewFields": true,
    "Param360ViewFields": {
      "AccountStmtMailCodeList": true,
      "AccountTrackingTypeList": true,
      "AchOrigEftGroupList": true,
      "AllLnsAcctNameTypeList": true,
      "AllShrsAcctNameTypeList": true,
      "AudioResponseDescription": true,
      "BillPayAcctTrackTypeList": true,
      "BillPayEftGroupList": true,
      "BillPaymentDescription": true,
      "CardTypeList": [
        0
      ],
      "CardTypeListDescription": [
        0
      ],
      "CheckAudioAccessCode": true,
      "CheckEstatementEnableFlag": true,
      "CheckHbPwdAndAudioAccess": true,
      "DisplayMemberGroupDesc": true,
      "EnableAcsPaneIn360View": true,
      "EnableTellerTran360View": true,
      "EstatementsDescription": true,
      "ExcludeSsnTin": [
        0
      ],
      "ExcludeSsnTinType": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateParam360ViewByID⁠

POST

Execute the persistent ParameterService updateParam360ViewByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateParam360ViewByID
POST /nexum/627/persistent/parameter/updateParam360ViewByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "Param360ViewFields": {
    "AccountStmtMailCodeList": {
      "Bit": [
        0
      ]
    },
    "AccountTrackingTypeList": {
      "Bit": [
        0
      ]
    },
    "AchOrigEftGroupList": "string",
    "AllLnsAcctNameTypeList": {
      "Bit": [
        0
      ]
    },
    "AllShrsAcctNameTypeList": {
      "Bit": [
        0
      ]
    },
    "AudioResponseDescription": "string",
    "BillPayAcctTrackTypeList": {
      "Bit": [
        0
      ]
    },
    "BillPayEftGroupList": "string",
    "BillPaymentDescription": "string",
    "CardTypeList": [
      {
        "EntryId": 0,
        "CardTypeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "CardTypeListDescription": [
      {
        "EntryId": 0,
        "CardTypeListDescription": "string"
      }
    ],
    "CheckAudioAccessCode": true,
    "CheckEstatementEnableFlag": true,
    "CheckHbPwdAndAudioAccess": true,
    "DisplayMemberGroupDesc": true,
    "EnableAcsPaneIn360View": true,
    "EnableTellerTran360View": true,
    "EstatementsDescription": "string",
    "ExcludeSsnTin": [
      {
        "EntryId": 0,
        "ExcludeSsnTin": "string"
      }
    ],
    "ExcludeSsnTinType": [
      {
        "EntryId": 0,
        "ExcludeSsnTinType": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}